Skip to main content

PCL6 Driver - 64-bit

Description

Earlier driver versions MUST be uninstalled before installation of these print drivers. These drivers require minimum firmware version of 1.70.02.40. Firmware version 1.70.02.40 and higher requires use of these drivers.
64-bit PCL6 Print Driver for the Phaser 3600. Supports Server 2003 x64, XP x64 and Vista x64 Operating Systems. Microsoft WHQL certified. This driver uses the Add Printer Wizard.

Supported platforms

  • Windows Server 2003 x64
  • Windows Vista x64
  • Windows XP x64

Supported languages

  • Catalan
  • Czech
  • Danish
  • German
  • Greek
  • English (N. America)
  • English (Global)
  • Spanish
  • Finnish
  • French
  • French Canadian
  • Hungarian
  • Italian
  • Dutch
  • Norwegian
  • Polish
  • Brazilian Portuguese
  • Russian
  • Swedish
  • Turkish

Supported products

  • Phaser 3600

Need more support?

Get answers in the Community Support Forum

Join the conversation
Join the conversation
Join the conversation